Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.bigdecimal.functions
Class BigDecSub

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.bigdecimal.functions.BigDecSub

All Implemented Interfaces:
  PostfixMathCommandI, java.io.Serializable

    public class BigDecSub

extends PostfixMathCommand

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`BigDecSub(java.math.MathContext mc)`

Method Summary
`java.math.MathContext` | `getMathContext()`
`void` | `run(java.util.Stack<java.lang.Object> s)` Run the function on the stack.
`void` | `setMathContext(java.math.MathContext mc)`

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`checkNumberOfParameters, checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BigDecSub

    public BigDecSub(java.math.MathContext mc)

Parameters:
  `mc` -

Method Detail

### run

    public void run(java.util.Stack<java.lang.Object> s)
             throws EvaluationException

  Description copied from interface: `PostfixMathCommandI`
  Run the function on the stack. Pops the arguments from the stack, and pushes the result on the top of the stack.

  Throws:
    `EvaluationException`

### getMathContext

    public java.math.MathContext getMathContext()

### setMathContext

    public void setMathContext(java.math.MathContext mc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep